Bug 1435921 - Review Request: python-j1m.sphinxautozconfig - Sphinx support for ZConfig
Summary: Review Request: python-j1m.sphinxautozconfig - Sphinx support for ZConfig
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-25 22:35 UTC by Jerry James
Modified: 2018-09-23 20:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-23 18:29:37 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jerry James 2017-03-25 22:35:58 UTC
Spec URL: https://jjames.fedorapeople.org/python-j1m.sphinxautozconfig/python-j1m.sphinxautozconfig.spec
SRPM URL: https://jjames.fedorapeople.org/python-j1m.sphinxautozconfig/python-j1m.sphinxautozconfig-0.1.0-1.fc27.src.rpm
Fedora Account System Username: jjames
Description: This sphinx extension provides a zconfigsectionkeys directive for rendering documentation for ZConfig section key.

Comment 1 Antonio T. (sagitter) 2017-03-26 10:47:15 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


- License file is not installed
- setup.py does not run any test
- Please, remove egg-info files from upstream
  http://fedoraproject.org/wiki/Packaging:Python_Eggs#Upstream_Egg_Packages
- Different spec file in url and in SRPM

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 24 files have unknown license. Detailed
     output of licensecheck in /home/sagitter/1435921-python-
     j1m.sphinxautozconfig/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.6/site-
     packages, /usr/lib/python3.6
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-j1m.sphinxautozconfig , python3-j1m.sphinxautozconfig
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-j1m.sphinxautozconfig-0.1.0-1.fc27.noarch.rpm
          python3-j1m.sphinxautozconfig-0.1.0-1.fc27.noarch.rpm
          python-j1m.sphinxautozconfig-0.1.0-1.fc27.src.rpm
python2-j1m.sphinxautozconfig.noarch: W: spelling-error %description -l en_US zconfigsectioneys -> confectionery
python3-j1m.sphinxautozconfig.noarch: W: spelling-error %description -l en_US zconfigsectioneys -> confectionery
python-j1m.sphinxautozconfig.src: W: spelling-error %description -l en_US zconfigsectioneys -> confectionery
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python3-j1m.sphinxautozconfig.noarch: W: spelling-error %description -l en_US zconfigsectioneys -> confectionery
python2-j1m.sphinxautozconfig.noarch: W: spelling-error %description -l en_US zconfigsectioneys -> confectionery
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/sagitter/1435921-python-j1m.sphinxautozconfig/srpm/python-j1m.sphinxautozconfig.spec	2017-03-26 12:36:46.435381266 +0200
+++ /home/sagitter/1435921-python-j1m.sphinxautozconfig/srpm-unpacked/python-j1m.sphinxautozconfig.spec	2017-03-25 20:59:10.000000000 +0100
@@ -26,5 +26,5 @@
 
 %description
-This sphinx extension provides a zconfigsectionkeys directive for
+This sphinx extension provides a zconfigsectioneys directive for
 rendering documentation for ZConfig section key.
 
@@ -36,5 +36,5 @@
 
 %description -n python2-%{srcname}
-This sphinx extension provides a zconfigsectionkeys directive for
+This sphinx extension provides a zconfigsectioneys directive for
 rendering documentation for ZConfig section key.
 
@@ -47,5 +47,5 @@
 
 %description -n python3-%{srcname}
-This sphinx extension provides a zconfigsectionkeys directive for
+This sphinx extension provides a zconfigsectioneys directive for
 rendering documentation for ZConfig section key.
 %endif


Requires
--------
python3-j1m.sphinxautozconfig (rpmlib, GLIBC filtered):
    python(abi)
    python3-docutils

python2-j1m.sphinxautozconfig (rpmlib, GLIBC filtered):
    python(abi)
    python2-docutils



Provides
--------
python3-j1m.sphinxautozconfig:
    python3-j1m.sphinxautozconfig
    python3.6dist(j1m.sphinxautozconfig)
    python3dist(j1m.sphinxautozconfig)

python2-j1m.sphinxautozconfig:
    python-j1m.sphinxautozconfig
    python2-j1m.sphinxautozconfig
    python2.7dist(j1m.sphinxautozconfig)
    python2dist(j1m.sphinxautozconfig)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/j/j1m.sphinxautozconfig/j1m.sphinxautozconfig-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 18632d27238e5eccad2aba2f80575a1587a30711049442782841da7934aea5c8
  CHECKSUM(SHA256) upstream package : 18632d27238e5eccad2aba2f80575a1587a30711049442782841da7934aea5c8


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1435921
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Jerry James 2017-03-27 04:22:26 UTC
Thank you again for the review.

(In reply to Antonio Trande from comment #1)
> - License file is not installed
> - setup.py does not run any test
> - Please, remove egg-info files from upstream
>   http://fedoraproject.org/wiki/Packaging:Python_Eggs#Upstream_Egg_Packages

Same reply to these three items as for bug 1435920.

> - Different spec file in url and in SRPM

Uh oh.  How did I manage to do that?  Well, it is late and I am tired, so I will fix this tomorrow.

Comment 3 Antonio T. (sagitter) 2017-07-20 10:35:56 UTC
Still interested?

Comment 4 Jerry James 2017-07-26 04:19:44 UTC
Yes.  Again, my apologies for the long silence.  I have commented out the %check script and asked upstream about the license file.  New URLs:

Spec URL: https://jjames.fedorapeople.org/python-j1m.sphinxautozconfig/python-j1m.sphinxautozconfig.spec
SRPM URL: https://jjames.fedorapeople.org/python-j1m.sphinxautozconfig/python-j1m.sphinxautozconfig-0.1.0-2.fc27.src.rpm

Comment 5 Antonio T. (sagitter) 2017-11-25 19:01:59 UTC
Any news?

Comment 6 Jerry James 2017-11-26 04:05:44 UTC
No, I have not had any response from upstream.  Can we proceed without a license file, since that is a SHOULD and not a MUST?

Comment 7 Antonio T. (sagitter) 2018-07-19 18:19:40 UTC
(In reply to Jerry James from comment #6)
> No, I have not had any response from upstream.  Can we proceed without a
> license file, since that is a SHOULD and not a MUST?

From Licensing guidelines (https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text):

However, in situations where upstream is unresponsive, unable, or unwilling to provide proper full license text as part of the source code, and the indicated license requires that the full license text be included, Fedora Packagers must either:

    Include a copy of what they believe the license text is intended to be, as part of the Fedora package in %license, in order to remain in compliance. It is worth noting that this may place some additional risk on the packager, however, Fedora believes that this risk is minimized by the fact that if the upstream disagrees with what we have distributed as the full license text, they can easily remedy this by making full license text available in the source code. Packagers who choose to do this should ensure that they have exhausted all attempts to work with upstream to include the license text as part of the source code, or at least, to confirm the full license text explicitly with the upstream, as this minimizes the risk on the packager. Packagers should also take copies of license texts from reliable and canonical sources (such as the Fedora Software Licenses page, the FSF licenses page, or the OSI license list), whenever possible.

Comment 9 Jerry James 2018-08-30 03:10:33 UTC
Ping.

Comment 10 Jerry James 2018-09-03 18:22:50 UTC
There has been no response from the reviewer for 1 month.  In accordance with
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews, I ask the reviewer to please respond in the next 1 week.

Comment 11 Jerry James 2018-09-12 14:30:20 UTC
More than a week has passed.  I have also sent two emails to Antonio with no response.  In accordance with the policy mentioned in comment 10, I am setting this package back to unreviewed status.

Note to future reviewers: although python 2 has been deprecated for F30+, I still need the python 2 version of this package to build documentation for existing stable releases of Fedora.  Please review it with the python 2 bits in.  I will remove them from Rawhide after importing the package.

Comment 12 Robert-André Mauchin 🐧 2018-09-12 19:15:11 UTC
What's the rationale for splitting the Python 2 and Python 3 into separate directory?

%autosetup -c
mv %{srcname}-%{version} python2
cp -p %{SOURCE1} python2

%if %{with python3}
cp -a python2 python3
%endif


It shouldn't be needed.

Comment 13 Robert-André Mauchin 🐧 2018-09-12 19:16:29 UTC
 Also using %{python2_sitelib}/* / %{python3_sitelib}/* is now forbidden. Be more precise instead.

Comment 14 Jerry James 2018-09-13 00:51:36 UTC
(In reply to Robert-André Mauchin from comment #12)
> What's the rationale for splitting the Python 2 and Python 3 into separate
> directory?

I don't even remember any more. :-)  You are right; it is not needed.  I have removed that.

(In reply to Robert-André Mauchin from comment #13)
>  Also using %{python2_sitelib}/* / %{python3_sitelib}/* is now forbidden. Be
> more precise instead.

Again showing the age of this review request.  I have made the %files sections more precise.

New URLs:
Spec URL: https://jjames.fedorapeople.org/python-j1m.sphinxautozconfig/python-j1m.sphinxautozconfig.spec
SRPM URL: https://jjames.fedorapeople.org/python-j1m.sphinxautozconfig/python-j1m.sphinxautozconfig-0.1.0-3.fc30.src.rpm

Comment 15 Robert-André Mauchin 🐧 2018-09-13 12:53:05 UTC
Package is approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 12 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-j1m.sphinxautozconfig/review-python-
     j1m.sphinxautozconfig/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/j1m(python2-j1m.sphinxautointerface)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-j1m.sphinxautozconfig , python3-j1m.sphinxautozconfig
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-j1m.sphinxautozconfig-0.1.0-3.fc30.noarch.rpm
          python3-j1m.sphinxautozconfig-0.1.0-3.fc30.noarch.rpm
          python-j1m.sphinxautozconfig-0.1.0-3.fc30.src.rpm
python2-j1m.sphinxautozconfig.noarch: W: spelling-error %description -l en_US zconfigsectionkeys -> reconfiguration
python3-j1m.sphinxautozconfig.noarch: W: spelling-error %description -l en_US zconfigsectionkeys -> reconfiguration
python-j1m.sphinxautozconfig.src: W: spelling-error %description -l en_US zconfigsectionkeys -> reconfiguration
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 16 Gwyn Ciesla 2018-09-14 02:01:29 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-j1m.sphinxautozconfig

Comment 17 Fedora Update System 2018-09-14 03:11:48 UTC
python-j1m.sphinxautozconfig-0.1.0-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-89f91e43d4

Comment 18 Fedora Update System 2018-09-14 03:11:55 UTC
python-j1m.sphinxautozconfig-0.1.0-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b08295e93

Comment 19 Fedora Update System 2018-09-14 20:00:55 UTC
python-j1m.sphinxautozconfig-0.1.0-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b08295e93

Comment 20 Fedora Update System 2018-09-14 23:49:08 UTC
python-j1m.sphinxautozconfig-0.1.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-89f91e43d4

Comment 21 Miro Hrončok 2018-09-18 17:59:24 UTC
Note that python2 is deprecated and hence a package with adds new python2-... package should have not been approved. This is quite new thing.

Robert-André, I see you so a lot of reviews, could you please check that next time so we don't get new python2 packages at the same time we are trying to mass remove the old ones? Thanks.

Comment 22 Robert-André Mauchin 🐧 2018-09-18 18:53:54 UTC
I wasn't sure of the new policy, I will take care of that in the future. But what if it's a Py2 only package or a cli tool with Py2 lib dependencies? Should I refuse them?

Comment 23 Miro Hrončok 2018-09-18 19:02:30 UTC
Thank You. Yes. In case you find it really useful to have it, you can ask FPC for an exception.

Comment 24 Fedora Update System 2018-09-23 18:29:37 UTC
python-j1m.sphinxautozconfig-0.1.0-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2018-09-23 20:18:43 UTC
python-j1m.sphinxautozconfig-0.1.0-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.